Update Task Status
curl --request PATCH \
--url https://api.xenia.team/api/v1/task/setTaskStatus/{taskId} \
--header 'Content-Type: application/json' \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"status": "In Progress",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e"
}
'import requests
url = "https://api.xenia.team/api/v1/task/setTaskStatus/{taskId}"
payload = {
"status": "In Progress",
"workspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e"
}
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-key': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({status: 'In Progress', workspaceId: 'cb363f7e-c52a-4478-911d-f6a6f791090e'})
};
fetch('https://api.xenia.team/api/v1/task/setTaskStatus/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"extra_meta": {
"message": "Task started successfully"
}
}Tasks
Update Task Status
Change the status of a specific task to one of the valid status values.
PATCH
/
api
/
v1
/
task
/
setTaskStatus
/
{taskId}
Update Task Status
Path Parameters
Example:
"232154c0-c239-48f8-b670-0e5d12fd64d0"
Body
application/json
Response
Task status update result
⌘I